Bug 4239 - nopredictor1 must be by default
: nopredictor1 must be by default
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ppp)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
: 3459 7079 13811
  Show dependency tree
 
Reported: 2004-05-26 16:42 by
Modified: 2007-12-28 02:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-05-26 16:42:02
У нас нет поддержки этой компрессии в ядре. 
И когда сервер провайдера предлягает использовать эту компрессию, 
ppp соглашается, и в результате соединение устанавливается, но не работает. 
 
Ее нужно отключить по-умолчанию.
------- Comment #1 From 2004-05-26 16:47:53 -------
Насколько я понял из googl'ения, компресии с типами PREDICT-1 и PREDICT-2 у нас
не ожидается, ибо оно жутко проприетарное.

Так что надо отключать это по умолчанию IMHO.
------- Comment #2 From 2004-05-28 18:24:27 -------
fixed in ppp-2.4.2-alt1
------- Comment #3 From 2004-05-28 18:45:06 -------
Зашибись! 
------- Comment #4 From 2004-12-08 11:31:02 -------
Зачем обманываешь? ;-) 
------- Comment #5 From 2005-03-15 12:47:16 -------
Как минимум один такой человек в hardware@ уже есть 
P.S. это не считая всех ppp клиентов http://www.maxnet.ru 
------- Comment #6 From 2005-06-14 12:20:40 -------
2zerg: предлагаю сделать NMU
------- Comment #7 From 2005-06-14 14:44:40 -------
вообще ppp -- один из явных кандидатов на хороший кружок майнтейнеров,
поскольку
дайлап и разный over ethernet редко пересекаются в одних руках.
------- Comment #8 From 2005-06-20 17:09:22 -------
2Zerg так что на тему NMU ? Или кто-то возьмется обновить еще ppp ?
------- Comment #9 From 2005-06-20 17:12:17 -------
(In reply to comment #8) 
> 2Zerg так что на тему NMU ? 
Не знаю 
------- Comment #10 From 2006-11-21 14:58:15 -------
Это в дефолтный /etc/ppp/options надо добавить, правильно?
------- Comment #11 From 2006-11-21 15:41:48 -------
(In reply to comment #10)
> Это в дефолтный /etc/ppp/options надо добавить, правильно?

да
------- Comment #12 From 2007-03-26 02:36:38 -------
Это ещё актуально?
------- Comment #13 From 2007-03-26 14:59:46 -------
(In reply to comment #12)
> Это ещё актуально?
Да
------- Comment #14 From 2007-11-20 18:44:13 -------
Наверное, уже достаточный срок для _тривиального_ исправления, которое еще 
через лет 5 может стать вообще неактуальным.
------- Comment #15 From 2007-12-08 15:10:22 -------
Исправлено в ppp-2.4.4-alt8.2:
http://git.altlinux.org/people/mike/packages/?p=ppp.git;a=commitdiff;h=ee6ec5ab255c884e88bcfc44ad990b6845ea8731
(я в курсе про alt9, брать негде)

2 mithraen: можно мержить, пока попробую ещё #9256 глянуть.
------- Comment #16 From 2007-12-08 20:07:55 -------
fixed in 2.4.4-alt9.8:

http://git.altlinux.org/people/mike/packages/?p=ppp.git
http://paq.osdn.org.ua/~mike/ppp/
------- Comment #17 From 2007-12-10 16:20:04 -------
(In reply to comment #16)
> fixed in 2.4.4-alt9.8:
На этот раз не поверю, пока хотя бы в Сизифе не появиться ;-)
------- Comment #18 From 2007-12-27 17:34:30 -------
Уря, наконец-то :-)